Page MenuHomePhabricator

[Builtins] ARM: Fix msr assembly instruction use for Thumb2.
ClosedPublic

Authored by manojgupta on Sep 25 2017, 7:28 PM.

Details

Summary

MSR instruction in Thumb2 does not support immediate operand.
Fix this by moving the condition for V7-M to Thumb2 since V7-M support
Thumb2 only. With this change, aeabi_cfcmp.s and aeabi_cdcmp.S files can
be assembled in Thumb2 mode. (This is split out from the review D38227).

Event Timeline

manojgupta created this revision.Sep 25 2017, 7:28 PM
weimingz edited edge metadata.Sep 26 2017, 4:02 PM

LGTM. (Let Saleem to sign off)

compnerd accepted this revision.Sep 26 2017, 6:41 PM
This revision is now accepted and ready to land.Sep 26 2017, 6:41 PM
manojgupta closed this revision.Sep 27 2017, 2:31 AM